cURL
curl --request PATCH \ --url https://api.done.app/v1/schemas/{id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "contract": { "price": 123, "activity_window": 123, "review_window": 123, "fulfillment_condition": { "event": "<string>", "match": {}, "field": "<string>", "gt": 123, "gte": 123, "lt": 123, "lte": 123, "eq": 123 }, "timeout_outcome": "confirm" } } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "contract": { "price": 123, "activity_window": 123, "review_window": 123, "fulfillment_condition": { "event": "<string>", "match": {}, "field": "<string>", "gt": 123, "gte": 123, "lt": 123, "lte": 123, "eq": 123 }, "timeout_outcome": "confirm" }, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }
Replaces the contract on an existing schema. Does not affect claims already created from this schema — they retain their original contract snapshot.
API token. Create one from the dashboard.
The terms of a claim. Immutable once a claim is created.
Show child attributes
Schema updated
A reusable claim template.